<?php
/*  Photoblog for DotClear
 *  Copyright (C) 2005  Julien Mudry
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
	@ini_set('display_errors','on');
	error_reporting(E_ALL);

global $con;

include_once dirname(__FILE__) . '/functions.php';

$SQL = 'SELECT post_id, post_titre, post_dt from ' . DB_PREFIX . 'post ORDER BY post_dt ASC';
if (($result = $con->select($SQL)) === false) {
	buffer::str('<p>Error:' . $con->error() . '</p>');
}

buffer::str('<h2><img src="tools/photoblog/icon.png" alt="" />'.__('PhotoBlog').'</h2>');
buffer::str('<h3>' . __('Removing all thumbnails...') . '</h3>');

while (!$result->EOF()) {
	$img = dcPhotoBlog::getPostImage($result->f('post_id'));
	buffer::str('<h4>' . sprintf(__('Post with ID %d and title "%s"'), $result->f('post_id'), $result->f('post_titre')) . '</h4>');
	$result->moveNext();

	if (!preg_match('!' . dc_img_url . '(.+)!i', $img)) {
		buffer::str('<p>' . __('No local image found!') . '</p>');
		continue;
	}

	$imgBWThumb = getLocalFile(dcPhotoBlog::getImageBWThumbFileName($img));
	$imgColorThumb = getLocalFile(dcPhotoBlog::getImageColorThumbFileName($img));

	buffer::str('<ul><li>' . __('Color thumbnail...') . ' ');
	treatFile($imgColorThumb);
	buffer::str('</li>');
	buffer::str('<li>' . __('B&W thumbnail...') . ' ');
	treatFile($imgBWThumb);
	buffer::str('</li></ul>');
}

if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
	files::touch(DC_UPDATE_FILE,time());
}

buffer::str('<h3>' . __('All done!') . '</h3>');

function treatFile($imgFile) {
	if (file_exists($imgFile)) {
		buffer::str(__('found') . ' ');
		if (unlink($imgFile)) {
			buffer::str(__('and deleted'));
		} else {
			buffer::str(__('deletion failed!'));
		}
	} else {
		buffer::str(__('not found!'));
	}
}

function getLocalFile($imgFile) {
	$localFile = preg_replace('!' . dc_img_url . '!i', '', $imgFile);

	$img_p = dcPhotoBlog::getImagePath();

	return $img_p . '/' . $localFile;
}

?>
