<?php
/*  Photoblog for DotClear
 *  Copyright (C) 2005  Julien Mudry
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

global $year, $month, $cat_id_photo;

// Test if the 'photo_archive' parameter is setted only if the 'home' mode is activated
if ( $mode == 'home' ) {
	# Methode de scan des URL
	if (dc_url_scan == 'path_info') {
		if (preg_match('/^'.preg_quote(dc_blog_url,'/').'(.*)$/',$_SERVER['REQUEST_URI'],$match)) {
			$custom_query = preg_replace('/^[\/]?(.*?)[\/]?$/','$1',$match[1]);
		}
	} elseif (dc_url_scan == 'query_string' && !empty($_SERVER['QUERY_STRING'])) {
		parse_str(rebuildQuery(),$qs);
		$qs = array_keys($qs);
		$custom_query = $qs[0];
		unset($_GET[$qs[0]]);
		unset($_REQUEST[$qs[0]]);
	} else {
		$custom_query = '';
	}

	if ( !empty($custom_query) && strncmp($custom_query,'photo_archive/',5)==0 ) {
		$mode = 'photo_archive';
		$what = substr($custom_query, strlen('photo_archive/'));
		if (preg_match('/[A-Z]/', substr($what, 0, 1))) {
			if (preg_match('/(.+?)\/(\d{4})(\/\d{1,2}){0,1}/', $what, $matches)) {
				// we want a specific month for a category
				$cat_id_photo = $matches[1];
				$year = $matches[2];
				if (isset($matches[3])) {
					$month = $matches[3];
				}
				if (is_string($month) && ($month[0] == '/')) {
					$month = substr($month, 1);
				}
			} else {
				$cat_id_photo = $what;
				while ($cat_id_photo[strlen($cat_id_photo) - 1] == '/') {
					$cat_id_photo = substr($cat_id_photo, 0, strlen($cat_id_photo) - 1);
				}
			}
		} else {
			$year = substr($what, 0, 4);
			$month = substr($what, 5);
		}
	}
}


?>